Auth API: https://auth.s7risk.com
  • Create a user authentication token

    This endpoint creates an authentication token for use as the Authorization bearer token in the header when making further API requests.

    All tokens have a 24-hour lifespan. You must re-generate your authentication token every 24-hours.

    HTTP Request

    curl -X POST 'https://auth.s7risk.com/user/token' \
    -H 'Content-Type: application/json' \
    -H 'Origin: {{YOUR_API_DOMAIN}}' \
    --data '{
    "email":"{{YOUR_EMAIL}}",
    "password":"{{YOUR_PASSWORD}}"
    }'
    \
    --compressed

    HTTP Response

    {
        "status": "success",
        "data": {
            "accessToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9…"
        }
    }
  • Create an application authentication token

    This endpoint creates an authentication token for use as the Authorization bearer token in the header when making further API requests.

    All tokens have a 24-hour lifespan. You must re-generate your authentication token every 24-hours.

    HTTP Request

     

    curl -X POST

    ‘https://auth.s7risk.com/application/token’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Origin: {{YOUR_API_DOMAIN}}’ \
    –data ‘{
    “clientId”:”{{CLIENT_ID}}”,
    “secret”:”{{CLIENT_SECRET}}”
    }’
    \
    –compressed

     

    HTTP Response

    {
      “status”: “success”,
      “data”: {
             “accessToken”:
    “eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9…”
          }
    }

Actor API: https://actor.s7risk.com
  • Get all actors

    This endpoint gets all available actors. The actors returned can be filtered by adding search parameters to your request.

     

    HTTP Request

    curl -X GET 'https://actor.s7risk.com/actor' \
      -H 'Content-Type: application/json' \
      -H 'Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}' \
      -d 'search=Rebellion' \
      -d 'sort=name_asc' \
      --compressed
    

     

    HTTP Response

     

    {
    “status”: “success”,
    “data”: {
    “actors”: [
    {
    “id”: “9cd667d3-27f6-45b9-9e13-8470fe343b37”,
    “name”: “Animal Rebellion”,
    “type”: “GROUP”,
    “status”: “APPROVED”,
    “profile”: “Animal Rebellion is an animal and climate justice movement with the stated aim of using nonviolent civil disobedience to compel government action towards a plant-based food system. The group conducts direct action protest and attempts to cause disruption in order to highlight their cause.”,
    “createdAt”: 1622130242,
    “updatedAt”: 1622130242
    },
    {
    “id”: “79e4fcfc-4d2b-4569-a3e7-ebda14d0d7b7”,
    “name”: “Extinction Rebellion”,
    “type”: “GROUP”,
    “status”: “APPROVED”,
    “profile”: “Extinction Rebellion is a global environmental movement with the stated aim of using nonviolent civil disobedience to compel government action to avoid tipping points in the climate system, biodiversity loss, and the risk of social and ecological collapse.”,
    “createdAt”: 1622130240,
    “updatedAt”: 1622130240
    },
    {
    “id”: “a49a3af9-3753-444c-b82e-446256d62dd3”,
    “name”: “Ocean Rebellion”,
    “type”: “GROUP”,
    “status”: “APPROVED”,
    “profile”: “The group is linked to Extinction Rebellion and campaigns against the cruise industry and ocean pollution. The group uses similar direct action methods as Extinction rebellion such as guerilla media advertising.”,
    “createdAt”: 1622130240,
    “updatedAt”: 1622130240
    }
    ],
    “meta”: {
    “total”: 3,
    “page”: 1,
    “pages”: 1,
    “pageSize”: 100
    }
    }
    }

     

  • Get actor by ID

    This endpoint gets a requested individual.

    HTTP REquest

    curl -X GET ‘https://actor.s7risk.com/actor/{{ID}}’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer
    {{YOUR_AUTHENTICATION_TOKEN}}’
    \
    –compressed

     

    HTTP Response

    {
    “status”: “success”,
    “data”: {
    “actor”: {
    “id”: “9cd667d3-27f6-45b9-9e13-8470fe343b37”,
    “name”: “Animal Rebellion”,
    “type”: “GROUP”,
    “status”: “APPROVED”,
    “profile”: “Animal Rebellion is an animal and climate justice movement with the stated aim of using nonviolent civil disobedience to compel government action towards a plant-based food system. The group conducts direct action protest and attempts to cause disruption in order to highlight their cause.”, “createdAt”: 1622130242,
    “updatedAt”: 1622130242
    }
    }
    }

Incident API: https://api.s7risk.com
  • Get countries

    This endpoint gets all available countries. The countries returned can be filtered in scope by adding query parameters to your request.

    HTTP Request

     

    curl -X GET
    ‘https://api.s7risk.com/geography/countries’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=United States’ \
    -d ‘area=in:
    [[[-100.01812173401174,33.81520071685678],[-76.79736397186467,32.46264362887847]]]’
    \
    -d ‘sort=name:asc’ \
    -d ‘page=1’ \
    -d ‘pageSize=10’ \
    –compressed

     

    HTTP Response

    {
    “status”:“success”,
    “data”: {
    “countries”: [ {
    “code”: “UMI”,
    “alpha2”: “UM”,
    “name”:“United States Minor Outlying Islands”,
    “continent”: {
    “code”: “NA”,
    “name”: “North America”
    }
    },
    {
    “code”: “USA”,
    “alpha2”: “US”,
    “name”: “United States”,
    “continent”: {
    “code”: “NA”,
    “name”: “North America”
    }
    },
    {
    “code”:“VIR”,
    “alpha2”: “VI”,
    “name”: “United States Virgin Islands”,
    “continent”: {
    “code”: “NA”,
    “name”: “North America”
    }
    }
    ]
    }
    }

  • Get incident categories

    This endpoint gets all available incident categories. The categories returned can be filtered by adding search parameters to your request.

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/incident-categories’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=criminal’ \
    -d ‘sort=desc’ \
    -d ‘page=4’ \
    -d ‘pageSize=10’ \
    –compressed

     

    HTTP Response

    {
    “data”: [
    {
    “id”: “b1a4f5b5-0c49-486a-9819-87a7b71e0328”,
    “name”: “Protest”,
    “colour”: “#1AB491”
    },
    {
    “id”: “37c046ee-ff01-413f-8d20-1cfba90aa7a7”,
    “name”: “Suicide/Complex”,
    “colour”: “#E34637”
    }
    ]
    }

  • Get incident type

    This endpoint gets all available incident types. The incident types returned can be filtered in scope by adding a search parameter or Category ID to your request.

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/incident-types’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=attack’ \
    -d ‘category=eq:f88942c1-eadb-4b2e-b462-2bc68f38a9a2’ \
    -d ‘sort=icon:asc’ \
    -d ‘page=1’ \
    -d ‘pageSize=3’ \
    –compressed

     

    HTTP Response

    {
    “data”: [
    {
    “id”: “252dcf0f-b272-4c06-80b0-ae0976822c89”,
    “name”: “Air to Air Attack”,
    “icon”: “air-to-air-attack”,
    “severity”: “high”,
    “category”: {
    “id”: “f88942c1-eadb-4b2e-b462-2bc68f38a9a2”,
    “name”: “Air”,
    “colour”: “#3498DB”
    }
    },
    {
    “id”: “8bdac3ea-62c7-41d4-93f3-4b9989084248”,
    “name”: “Attack Helicopter”,
    “icon”: “attack-helicopter”,
    “severity”: “high”,
    “category”: {
    “id”: “f88942c1-eadb-4b2e-b462-2bc68f38a9a2”,
    “name”: “Air”,
    “colour”: “#3498DB”
    }
    },
    {
    “id”: “5c6aac97-df30-4759-80da-6f39b6a4d1fc”,
    “name”: “Drone Attack”,
    “icon”: “drone-attack”,
    “severity”: “high”,
    “category”: {
    “id”: “f88942c1-eadb-4b2e-b462-2bc68f38a9a2”,
    “name”: “Air”,
    “colour”: “#3498DB”
    }
    }
    ]
    }

  • Get impact ratings

    This endpoint provides information about our impact ratings.

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/impact-ratings’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=permanent’ \
    -d ‘sort=rating:desc’ \
    -d ‘page=1’ \
    -d ‘pageSize=10’ \
    –compressed

     

    HTTP Response

    {
    “data”: [
    {
    “rating”: 5,
    “shortDescription”: “Extreme”,
    “longDescription”: “Fatalities, multiple permanent disabilities or hospitalisation. Significant financial loss, more than $50,000. Significant business interruption, more than 6 lost time workdays. Major negative reputational exposure. Outside assistance required to contain risk. Significant irreversible impacts.”
    },
    {
    “rating”: 4,
    “shortDescription”: “Major”,
    “longDescription”: “Permanent disability or multiple hospitalisations, major health effects. Major financial loss, more than $10,000 USD but less than $50,0000 USD. Major business interruption, 3-6 lost time work days. Major negative reputational exposure. Outside assistance required to contain risk. Some irreversible impacts.”
    }
    ]
    }

  • Get incident by ID

    This endpoint gets detailed information about the requested incident.

    HTTP Request

    HTTP Response

    {
    “id”: “IN-224368”,
    “organisationId”: “08e310b2-2043-4d46-a821-0fa2fca70cf7”,
    “reporter”: {
    “id”: “abde3c19-32ec-467b-9125-3f4ec1761339”,
    “name”: “Joe Bloggs”,
    “picture”: “https://eu.ui-avatars.com/api/?name=Joe+Bloggs&size=512”
    },
    “assigneeId”: null,
    “category”: {
    “id”: “661b7990-10f9-4a19-84b2-8a6030951314”,
    “name”: “Indirect Weapons”,
    “colour”: “#2F4155”
    },
    “type”: {
    “id”: “190945a1-2347-4020-8ed1-4e152537b47d”,
    “name”: “Ballistic Missile”
    },
    “summary”: “U.S. test Minuteman III ICBM missile from Vandenberg Air Force Base in California”,
    “description”: “A Minuteman III Intercontinental Ballistic Missile was fired from the Vandenberg Air Force Base in California. The missile was launched across the Pacific towards the Kwajalein Atoll in the Pacific Ocean. The test was a routine test that had been scheduled for a while.”,
    “casualties”: {
    “civilianDeaths”: 0,
    “civilianInjuries”: 0,
    “criminalDeaths”: 0,
    “criminalInjuries”: 0,
    “emergencyDeaths”: 0,
    “emergencyInjuries”: 0,
    “militaryDeaths”: 0,
    “militaryInjuries”: 0,
    “policeDeaths”: 0,
    “policeInjuries”: 0
    },
    “location”: {
    “longitude”: -120.577868,
    “latitude”: 34.740757,
    “accuracy”: 1,
    “timeZone”: “America/Los_Angeles”,
    “utcOffset”: -28800
    },
    “countries”: [
    {
    “code”: “USA”,
    “name”: “United States”,
    “alpha2”: null
    }
    ],
    “map”: {
    “id”: “898cf6ca-ada5-48b2-bbb7-6dc2f3025505”,
    “type”: “FeatureCollection”,
    “features”: [
    {
    “id”: “c1a3749d-1802-4b56-9b60-b560c840bc62”,
    “type”: “Feature”,
    “geometry”: {
    “type”: “Point”,
    “coordinates”: [
    -120.577868,
    34.740757
    ]
    },
    “properties”: {
    “icon”: “icon”,
    “name”: “Approximate location of the incident”,
    “colour”: “#2F4155”,
    “description”: “”,
    “meta”: null
    }
    }
    ]
    },
    “narratives”: [],
    “affectedSectors”: [
    {
    “id”: “cda9b37f-f044-45bd-93a1-3a44dfbb433b”,
    “sector”: {
    “id”: “668d330e-aee5-4291-be98-df9c32b5b420”,
    “name”: “Military”
    }
    }
    ],
    “references”: [
    {
    “id”: “23c26623-fc22-4a9e-9819-9a2d55498485”,
    “link”: “https://www.rt.com/usa/450812-us-ballistic-missile-launch-minuteman/”,
    “title”: “US test-launches Minuteman ICBM from southern California (VIDEO) — RT USA News”,
    “medium”: {
    “id”: “0dc1784f-9a7e-42c8-a432-79dbfa805f63”,
    “name”: “RT International”
    },
    “source”: {
    “id”: “91a5e6f1-2227-4a15-a647-df2d65f45560”,
    “name”: “Unknown”
    },
    “status”: “pending”,
    “citation”: “Unknown – RT International – 6 Feb 2019”,
    “publishedAt”: 1549411200
    }
    ],
    “involvedParties”: [
    {
    “id”: “fe5ad0c5-7ee8-4a1a-8a3c-77897dec376f”,
    “type”: “group”,
    “involvement”: “Actor”,
    “group”: {
    “id”: “8e5bdef3-90f2-4360-92b9-639d78651a2b”,
    “name”: “United States Air Force”
    }
    }
    ],
    “links”: [],
    “startedAt”: {
    “timestamp”: 1549436460,
    “localTime”: “2019-02-05T23:01:00-0800”
    },
    “endedAt”: {
    “timestamp”: 1549436460,
    “localTime”: “2019-02-05T23:01:00-0800”
    },
    “isOngoing”: false,
    “themes”: [],
    “tags”: [
    {
    “name”: “minutemaniii”,
    “slug”: “minutemaniii”
    }
    ],
    “impact”: {
    “rating”: -1,
    “shortDescription”: “Unknown”,
    “longDescription”: “Impact has not been assessed or is unknown.”
    },
    “counts”: {
    “affectedSectors”: 1,
    “casualties”: 0,
    “involvedParties”: 1,
    “links”: 0,
    “mapFeatures”: 1,
    “narratives”: 0,
    “references”: 1,
    “themes”: 0,
    “tags”: 1,
    “watchers”: 0
    },
    “status”: “approved”,
    “isWatched”: false,
    “draftedAt”: 1549543977,
    “reportedAt”: 1549544353,
    “reviewedAt”: 1549544353,
    “updatedAt”: 1549544353,
    “originId”: null
    }

  • Get incident overview

    This endpoint gets a summary of information about the requested incident. This is a shorter summary of information than the information provided when getting an incident by its ID

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/incidents/{{ID}}/overview’ \’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    –compressed

     

    HTTP Response

    {
    “id”: “IN-224368”,
    “organisationId”: “08e310b2-2043-4d46-a821-0fa2fca70cf7”,
    “category”: {
    “id”: “661b7990-10f9-4a19-84b2-8a6030951314”,
    “name”: “Indirect Weapons”,
    “colour”: “#2F4155”
    },
    “type”: {
    “id”: “190945a1-2347-4020-8ed1-4e152537b47d”,
    “name”: “Ballistic Missile”
    },
    “summary”: “U.S. test Minuteman III ICBM missile from Vandenberg Air Force Base in California”,
    “description”: “A Minuteman III Intercontinental Ballistic Missile was fired from the Vandenberg Air Force Base in California. The missile was launched across the Pacific towards the Kwajalein Atoll in the Pacific Ocean. The test was a routine test that had been scheduled for a while.”,
    “location”: {
    “longitude”: -120.577868,
    “latitude”: 34.740757,
    “accuracy”: 1,
    “timeZone”: “America/Los_Angeles”,
    “utcOffset”: -28800
    },
    “countries”: [
    {
    “code”: “USA”,
    “name”: “United States”,
    “alpha2”: null
    }
    ],
    “startedAt”: {
    “timestamp”: 1549436460,
    “localTime”: “2019-02-05T23:01:00-0800”
    },
    “endedAt”: {
    “timestamp”: 1549436460,
    “localTime”: “2019-02-05T23:01:00-0800”
    },
    “isOngoing”: false,
    “impact”: {
    “rating”: -1,
    “shortDescription”: “Unknown”,
    “longDescription”: “Impact has not been assessed or is unknown.”
    },
    “counts”: {
    “affectedSectors”: 1,
    “casualties”: 0,
    “involvedParties”: 1,
    “links”: 0,
    “mapFeatures”: 1,
    “narratives”: 0,
    “references”: 1,
    “themes”: 0,
    “tags”: 1,
    “watchers”: 0
    },
    “status”: “approved”,
    “originId”: null,
    “isWatched”: false,
    “reportedAt”: 1549544353,
    “reviewedAt”: 1549544353
    }

  • Get incidents

    This endpoint gets all available incidents. The incidents returned can be filtered by adding search and filtering parameters to your request.

    HTTP Request




    curl -X GET ‘https://api.s7risk.com/incidents’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=missile’ \
    -d ‘category=eq:661b7990-10f9-4a19-84b2-8a6030951314’ \
    -d ‘type=eq:190945a1-2347-4020-8ed1-4e152537b47d’ \
    -d ‘startedAt=lte:1549436460’ \
    -d ‘startedInPeriod=eq:P1D’ \
    -d ‘endedAt=lte:1549436460’ \
    -d ‘ongoing=false’ \
    -d ‘reporter=in:142949e0-0646-4160-a614-4fedb1e8dd1e;47690e92-77f3-4195-9500-00213682c4f7;fe6b54e7-d71b-4224-8e5c-21d21433e194’ \
    -d ‘area=in:[[[-79.22039956443662,21.418262318933035],[-79.22039956443662,21.418262318933035],[-79.22039956443662,21.418262318933035]]]’ \
    -d ‘country=eq:USA’ \
    -d ‘reportedAt=gt:1549544353’ \
    -d ‘reportedInPeriod=eq:P1D’ \
    -d ‘reviewedAt=gt:1549544353’ \
    -d ‘sort=duration:desc’ \
    -d ‘page=1’ \
    -d ‘pageSize=10’ \
    –compressed

     

    HTTP Response

    {
    “data”: [
    {
    “id”: “IN-224368”,
    “organisationId”: “08e310b2-2043-4d46-a821-0fa2fca70cf7”,
    “reporter”: {
    “id”: “ac9bd988-a81f-454f-991b-56f8005daf21”
    },
    “summary”: “U.S. test Minuteman III ICBM missile from Vandenberg Air Force Base in California”,
    “description”: “A Minuteman III Intercontinental Ballistic Missile was fired from the Vandenberg Air Force Base in California. The missile was launched across the Pacific towards the Kwajalein Atoll in the Pacific Ocean. The test was a routine test that had been scheduled for a while.”,
    “casualties”: {
    “civilianDeaths”: 1,
    “civilianInjuries”: 0,
    “criminalDeaths”: 0,
    “criminalInjuries”: 0,
    “emergencyDeaths”: 0,
    “emergencyInjuries”: 0,
    “militaryDeaths”: 0,
    “militaryInjuries”: 0,
    “policeDeaths”: 0,
    “policeInjuries”: 0
    },
    “map”: {
    “id”: “5ee72772-c015-4de4-b4f7-a5ac92772d8d”,
    “type”: “FeatureCollection”,
    “features”: [
    {
    “id”: “139db349-c45f-4af0-8edb-ae422c94c5f7”,
    “type”: “Feature”,
    “geometry”: {
    “type”: “Point”,
    “coordinates”: [
    -86,
    39
    ]
    },
    “properties”: {
    “icon”: “other”,
    “meta”: [],
    “name”: “Location”,
    “colour”: “#FEFEFE”,
    “description”: “Location of Incident”
    }
    }
    ]
    },
    “isOngoing”: false,
    “status”: “approved”,
    “category”: {
    “id”: “661b7990-10f9-4a19-84b2-8a6030951314”,
    “name”: “Indirect Weapons”,
    “colour”: “#2F4155”
    },
    “type”: {
    “id”: “190945a1-2347-4020-8ed1-4e152537b47d”,
    “name”: “Ballistic Missile”
    },
    “location”: {
    “longitude”: -120.577868,
    “latitude”: 34.740757,
    “accuracy”: 1,
    “timeZone”: “America/Los_Angeles”,
    “utcOffset”: -28800
    },
    “countries”: [
    {
    “code”: “USA”,
    “name”: “United States”,
    “alpha2”: null
    }
    ],
    “startedAt”: {
    “timestamp”: 1549436460,
    “localTime”: “2019-02-05T23:01:00-0800”
    },
    “endedAt”: {
    “timestamp”: 1549436460,
    “localTime”: “2019-02-05T23:01:00-0800”
    },
    “impact”: {
    “rating”: -1,
    “shortDescription”: “Unknown”,
    “longDescription”: “Impact has not been assessed or is unknown.”
    },
    “counts”: {
    “affectedSectors”: 1,
    “casualties”: 0,
    “involvedParties”: 1,
    “links”: 0,
    “mapFeatures”: 1,
    “narratives”: 0,
    “references”: 1,
    “themes”: 0,
    “tags”: 1,
    “watchers”: 0
    },
    “assigneeId”: “1bef8953-dc70-4bda-aeaf-f213f8ce0a63”,
    “narratives”: [
    {
    “id”: “67a9b6f8-367e-4806-9625-8c7eab580cac”,
    “body”: “Some sources have claimed the images shared of the patrol are fake and are in fact from a previous date.”,
    “reporterId”: “ac9bd988-a81f-454f-991b-56f8005daf21”
    }
    ],
    “affectedSectors”: [
    {
    “id”: “ce54716d-aaf8-4aaa-af45-2afcc5f998cf”,
    “sector”: {
    “id”: “550a4aa0-6d6f-4be2-ba33-f35d159ee686”,
    “name”: “Police/Law”
    }
    }
    ],
    “references”: [
    {
    “id”: “a996eee1-358d-4158-a9fa-4278a5b5ebc2”,
    “link”: “https://www.theindychannel.com/news/local-news/crime/man-found-dead-after-barricading-himself-shooting-at-police-in-fishers”,
    “title”: “Man found dead after barricading himself, shooting at police in Fishers”,
    “medium”: {
    “id”: “a27663b3-331b-449e-aaf1-c851d6712625”,
    “name”: “WRTV”
    },
    “source”: {
    “id”: “91a5e6f1-2227-4a15-a647-df2d65f45560”,
    “name”: “Unknown”
    },
    “status”: “pending”,
    “citation”: “Unknown – WRTV – 23 Mar 2020”,
    “publishedAt”: 1584921600
    }
    ],
    “involvedParties”: [
    {
    “id”: “fe5ad0c5-7ee8-4a1a-8a3c-77897dec376f”,
    “type”: “group”,
    “involvement”: “Actor”,
    “group”: {
    “id”: “8e5bdef3-90f2-4360-92b9-639d78651a2b”,
    “name”: “United States Air Force”
    }
    }
    ],
    “themes”: [
    {
    “id”: “TH-202”,
    “name”: “Counterterrorism Operations in Europe in 2020”,
    “colour”: “#D60D52”,
    “identifiedAt”: “2021-01-21T10:19:06+0000”,
    “counts”: {
    “affectedSectors”: 15,
    “casualties”: 24,
    “incidents”: 84,
    “involvedParties”: 44,
    “tags”: 87
    },
    “trendHistory”: []
    }
    ],
    “tags”: [
    {
    “name”: “shooting”,
    “slug”: “shooting”
    }
    ],
    “isWatched”: false,
    “draftedAt”: 1584014400,
    “reportedAt”: 1549544353,
    “reviewedAt”: 1549544353,
    “updatedAt”: 1585064487,
    “originId”: null
    }
    ]
    }

  • Get Sectors

    This endpoint gets all available sectors. The sectors returned can be filtered by adding search parameters to your request.

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/sectors’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=transport’ \
    -d ‘sort=desc’ \
    -d ‘page=2’ \
    -d ‘pageSize=6’ \
    –compressed

     

     

    HTTP Response

     

    {
    “data”: [
    {
    “id”: “231ae916-c503-4db7-aa5b-8c76f7d79876”,
    “name”: “Tourism”,
    “description”: null
    },
    {
    “id”: “801ea36b-a610-4ddd-a300-6373fe71c3ba”,
    “name”: “Transport/Logistics”,
    “description”: “Land based transportation of goods, services, products, humans, animals, not linked to maritime or aviation.”
    },
    {
    “id”: “39d8f801-a6be-4d96-afbd-45553ac947e8”,
    “name”: “Utilities”,
    “description”: “Electricity, Gas, Water, Waste Services.”
    }
    ]
    }

  • Get source media

    This endpoint gets all available source media. The source media returned can be filtered by adding search parameters to your request.

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/source-media’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=saudi’ \
    -d ‘sort=desc’ \
    -d ‘page=1’ \
    -d ‘pageSize=20’ \
    –compressed

     

    HTTP Response

    {
    “data”: [
    {
    “id”: “f2f5b64b-72bf-4774-8835-1aa72a4caa13”,
    “name”: “Saudi Gazette”
    },
    {
    “id”: “22b3c59a-471a-45b5-a8ea-051f0b031c98”,
    “name”: “Ministry of Interior of Saudi Arabia”
    },
    {
    “id”: “12d94a6c-9cb8-4917-b438-4b2777f816d8”,
    “name”: “Saudi press association”
    }
    ]
    }

  • Get sources

    This endpoint gets all available sources. The sources returned can be filtered by adding search parameters to your request.

    HTTP Request

     

    curl -X GET ‘https://api.s7risk.com/sources’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=telegraph’ \
    -d ‘sort=asc’ \
    -d ‘page=3’ \
    -d ‘pageSize=10’ \
    –compressed

     

     

    HTTP Response

    {
    “data”: [
    {
    “id”: “394e4200-e5e5-414b-9e91-828ddea8b0ae”,
    “name”: “Belarusian Telegraph Agency”
    },
    {
    “id”: “0e2c8c31-2915-4404-895b-6467e96e5cf3”,
    “name”: “Peterborough Telegraph”
    },
    {
    “id”: “01692e48-5611-4446-9727-6f218c60cae5”,
    “name”: “Bradford Telegraph & Argus”
    }
    ]
    }

  • Get Tags

    This endpoint gets all available tags. The tags returned can be filtered in scope by adding a search parameter to your request.

    HTTP Request

     

    curl -X GET ‘https://api.s7risk.com/tags’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=terr’ \
    -d ‘sort=desc’ \
    -d ‘page=2’ \
    -d ‘pageSize=30’ \
    –compressed

     

     

     

    HTML Response

    {
    “data”: [
    {
    “name”: “electricity”,
    “slug”: “electricity”,
    “counts”: {
    “uses”: 985
    }
    },
    {
    “name”: “climateprotest”,
    “slug”: “climateprotest”,
    “counts”: {
    “uses”: 312
    }
    }
    ]
    }

  • Get theme by ID

    This endpoint gets detailed information about the requested theme.

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/themes/{{ID}}’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    –compressed

     

    HTTP Response

     

    {
    “id”: “TH-149”,
    “name”: “PKK in Turkey”,
    “description”: null,
    “colour”: “#D60D52”,
    “incidentDates”: {
    “firstAt”: “2015-09-15T08:10:04+0000”,
    “lastAt”: “2022-02-20T22:00:00+0000”
    },
    “casualties”: {
    “civilianDeaths”: 29,
    “civilianInjuries”: 52,
    “criminalDeaths”: 638,
    “criminalInjuries”: 4,
    “emergencyDeaths”: 0,
    “emergencyInjuries”: 0,
    “militaryDeaths”: 78,
    “militaryInjuries”: 113,
    “policeDeaths”: 5,
    “policeInjuries”: 6
    },
    “affectedSectors”: [
    {
    “id”: “668d330e-aee5-4291-be98-df9c32b5b420”,
    “name”: “Military”
    },
    {
    “id”: “550a4aa0-6d6f-4be2-ba33-f35d159ee686”,
    “name”: “Police/Law”
    },
    {
    “id”: “58ee9317-7add-41fe-a1f5-2785f999af96”,
    “name”: “Aviation/Airports”
    }
    ],
    “involvedParties”: [
    {
    “id”: “2e78829b-637e-468e-9bfc-7b01d5a1d8da”,
    “type”: “group”,
    “group”: {
    “id”: “d1b24fcf-56b9-43fb-8405-b4adf061b5bb”,
    “name”: “Turkish Military”
    },
    “involvement”: “Actor”
    },
    {
    “id”: “35217020-550c-4988-8dea-cc09903538ab”,
    “type”: “group”,
    “group”: {
    “id”: “964a4acd-0b22-4c32-be1f-098dd87f80a3”,
    “name”: “Turkey – Security Forces (Coast Guard, MIT, Gendarmerie, etc…)”
    },
    “involvement”: “Directly Targeted”
    },
    {
    “id”: “2343a3e7-8d27-48f6-8f8e-25bbaab3e6fe”,
    “type”: “individual”,
    “group”: {
    “id”: “319a0340-8f53-4844-8ced-38fb4ba8a89e”,
    “name”: “Kurdistan Workers’ Party (PKK)”
    },
    “individual”: {
    “id”: “bcb5ba0a-bc18-4f1a-b187-c64e92de725a”,
    “name”: “Ferhat Tunç – codenamed ‘Rubar'”
    },
    “involvement”: “Directly Targeted”
    }
    ],
    “tags”: [
    {
    “name”: “counterterrorism”,
    “slug”: “counterterrorism”
    },
    {
    “name”: “counterinsurgency”,
    “slug”: “counterinsurgency”
    },
    {
    “name”: “sniperrifle”,
    “slug”: “sniperrifle”
    }
    ],
    “identifiedAt”: “2019-11-09T18:40:06+0000”,
    “analyst”: {
    “id”: “abde3c19-32ec-467b-9125-3f4ec1761339”,
    “name”: “Joe Bloggs”,
    “picture”: “https://eu.ui-avatars.com/api/?name=Joe+Bloggs&size=512”
    },
    “counts”: {
    “affectedSectors”: 10,
    “casualties”: 925,
    “incidents”: 2306,
    “involvedParties”: 66,
    “tags”: 20
    }
    }

  • Get themes

    This endpoint gets all available themes. The themes returned can be filtered by adding search parameters to your request.

    HTTP Request

    curl -X GET ‘https://api.s7risk.com/themes’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=europe’ \
    -d ‘sort=asc’ \
    -d ‘page=2’ \
    -d ‘pageSize=4’ \
    –compressed

     

     

    HTTP Response

     

    {
    “data”: [
    {
    “id”: “TH-206”,
    “name”: “Criminality in Europe in 2021 (Medical Sector)”,
    “colour”: “#D60D52”,
    “identifiedAt”: “2021-01-22T09:29:20+0000”,
    “counts”: {
    “affectedSectors”: 16,
    “casualties”: 36,
    “incidents”: 149,
    “involvedParties”: 15,
    “tags”: 133
    },
    “trendHistory”: []
    },
    {
    “id”: “TH-204”,
    “name”: “Terror Incidents in Europe 2020 (excl. Northern Ireland)”,
    “colour”: “#D60D52”,
    “identifiedAt”: “2021-01-22T09:22:24+0000”,
    “counts”: {
    “affectedSectors”: 17,
    “casualties”: 119,
    “incidents”: 194,
    “involvedParties”: 90,
    “tags”: 207
    },
    “trendHistory”: []
    },
    {
    “id”: “TH-202”,
    “name”: “Counterterrorism Operations in Europe in 2020”,
    “colour”: “#D60D52”,
    “identifiedAt”: “2021-01-21T10:19:06+0000”,
    “counts”: {
    “affectedSectors”: 15,
    “casualties”: 24,
    “incidents”: 84,
    “involvedParties”: 44,
    “tags”: 87
    },
    “trendHistory”: []
    },
    {
    “id”: “TH-191”,
    “name”: “Bomb Threats across Europe”,
    “colour”: “#F39C12”,
    “identifiedAt”: “2020-11-03T13:01:34+0000”,
    “counts”: {
    “affectedSectors”: 21,
    “casualties”: 19,
    “incidents”: 681,
    “involvedParties”: 137,
    “tags”: 192
    },
    “trendHistory”: []
    }
    ]
    }

News API: https://news.s7risk.com
  • Get news

    This endpoint gets all available news items. The news items returned can be filtered in scope by adding query parameters to your request.

    HTTP Request

    curl -X GET ‘https://news.s7risk.com/news’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    -d ‘search=eq:rockets’ \
    -d ‘countryCode=in:AFG,IND,KOR’ \
    -d ‘taxonomyId=in:8cfb8d8a-cd8c-41d8-8a58-da149c874e9b’ \
    -d ‘publishedAt=lte:162515530’ \
    -d ‘sort=publishedAt_desc’ \
    -d ‘limit=200’ \
    -d ‘page=30’ \
    –compressed

     

     

    HTTP Response

     

     

    {
    “status”: “success”,
    “data”: {
    “news”: [
    {
    “id”: “c1b8f161-e978-423b-981c-76301b6025cb”,
    “title”: “Eid al-Adha prayers continue as rockets fired in Afghanistan”,
    “summary”: “Rockets could be heard exploding nearby during prayers in Afghanistan to mark the start of the Muslim festival Eid al-Adha.”,
    “permalink”: “https://www.bbc.co.uk/news/av/world-asia-57900618”,
    “taxonomy”: {
    “id”: “8cfb8d8a-cd8c-41d8-8a58-da149c874e9b”,
    “score”: 0.80
    },
    “subTaxonomies”: [
    {
    “id”: “a0841b07-e0d6-45b9-870c-1dd0a20b1845”,
    “score”: 0.70
    }
    ],
    “industries”: [
    {
    “reference”: “in.pol”,
    “name”: “Politics”
    }
    ],
    “countries”: [
    {
    “code”: “USA”,
    “name”: “United States of America”
    }
    ],
    “keywords”: [
    “man”,
    “prayers”
    ],
    “incidentId”: null,
    “publishedAt”: 1625155307,
    “createdAt”: 1625155307,
    “updatedAt”: 1625155307
    }
    ],
    “meta”: {
    “total”: 1,
    “page”: 1,
    “pages”: 1,
    “pageSize”: 100
    }
    }
    }

     

  • Get taxonomies

    This endpoint provides the information about our new taxonomy schema. Sub-taxonomies are nested within each main taxonomy under the subTaxonomies array. Taxonomies and sub-taxonomies can be used to filter News items allowing consumers to reach into our news data in a more effective way.

    HTTP Request

     

    curl -X GET ‘https://news.s7risk.com/taxonomies’ \
    -H ‘Content-Type: application/json’ \
    -H ‘Authorization: Bearer {{YOUR_AUTHENTICATION_TOKEN}}’ \
    –compressed

     

     

    HTTP Response

     

    {
    “status”: “success”,
    “data”: {
    “taxonomies”: [
    {
    “id”: “606e8a19-660c-4aef-bbe2-8dd84e2e474d”,
    “name”: “Propaganda”,
    “subTaxonomies”: []
    },
    {
    “id”: “f6e9b8a1-f1e1-4488-a43a-84a27bd0516b”,
    “name”: “Transportation Safety”,
    “subTaxonomies”: [
    {
    “id”: “4da372b1-a5e7-413e-8d0a-2135a24f9156”,
    “name”: “Air Safety”
    },
    {
    “id”: “b0459a97-5874-4064-8263-19f6c6b1be99”,
    “name”: “Air Traffic Control”
    }
    ]
    }
    ]
    }
    }